package org.firstinspires.ftc.teamcode;

import com.acmerobotics.dashboard.FtcDashboard;
import com.acmerobotics.dashboard.telemetry.MultipleTelemetry;
import com.qualcomm.robotcore.eventloop.opmode.Autonomous;
import com.qualcomm.robotcore.eventloop.opmode.Disabled;
import com.qualcomm.robotcore.eventloop.opmode.OpMode;
import com.qualcomm.robotcore.util.ElapsedTime;

import org.firstinspires.ftc.robotcore.external.Telemetry;
import org.firstinspires.ftc.teamcode.cometbots.CometBotTeleopCompetition;
import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierCurve;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierLine;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;
import org.firstinspires.ftc.teamcode.subsystem.HighBasketAutoPath1;
import org.firstinspires.ftc.teamcode.subsystem.HighBasketAutoPath2;

@Disabled
@Autonomous(name = "Auto Test", group = "Dev")
public class BlueBasketAuto extends OpMode {
    private Follower follower;
    private int state;

    private HighBasketAutoPath1 path1;
    private HighBasketAutoPath2 path2;
    private CometBotTeleopCompetition comp;
    private ElapsedTime runtime;

    @Override
    public void init() {
        follower = new Follower(hardwareMap);
        follower.setMaxPower(.75);
        path1 = new HighBasketAutoPath1();
        path2 = new HighBasketAutoPath2();
        comp = new CometBotTeleopCompetition(hardwareMap, telemetry, gamepad1, gamepad2);
        comp.initCloseClaw();
        runtime = new ElapsedTime();
    }


    @Override
    public void loop() {
        switch(state) {
            case 0:
                path1.moveToPath1(follower);
                state = 1;
                runtime.reset();
            case 1:
                if (runtime.seconds() > 5) {

                    comp.highBucketDrop();
                    state = 2;
                }
            case 2:

            default:
                System.out.println("default");
        }
        follower.update();
        follower.telemetryDebug(telemetry);
    }
}
