package org.firstinspires.ftc.teamcode.subsystem;


import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierCurve;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;


/*
    AutoLine# - This file does something of a path......

 */
public class HighBasketAutoPath2 {
    
    public void moveToPath1(Follower robot) {
        PathChain pathChain;
        PathBuilder builder = new PathBuilder();
        builder
                .addPath(
                        // Line 2
                        new BezierCurve(
                                new Point(16.000, 128.000, Point.CARTESIAN),
                                new Point(16.000, 120.000, Point.CARTESIAN),
                                new Point(32.000, 123.000, Point.CARTESIAN)
                        )
                )
                .setLinearHeadingInterpolation(Math.toRadians(135), Math.toRadians(0));
        pathChain = builder.build();
        robot.followPath(pathChain);
    }

}

